Scilab Function

triu - partie triangulaire supérieure d'une matrice

### Calling Sequence

  `triu(x [,k])`

### Parameters

- `x` : matrice de tout type
- `k` : entier (0 par défaut)

### Description

Partie triangulaire supérieure d'une matrice. `triu(x,k)` est composée des termes au dessus d'une diagonale : k>0 (diagonale supérieure) et k<0 (diagonale sous la diagonale principale).

### Examples

    s=poly(0,'s');
    triu([s,s;s,1])
    triu([1/s,1/s;1/s,1])

### See Also

`tril` , `ones` , `eye` , `diag` ,